{% extends "shop/buy_base.html" %}

{% block extra_head %}
<script src="https://checkout.stripe.com/checkout.js"></script>
<script>
  var tokenTag = 'input[name$="payment_token"]';
  var handler = StripeCheckout.configure({
    key: "{{ settings('STRIPE_PUBLIC_KEY') }}",
    image: "/static/images/anthropedia-stripe.png",
    token: function(token) {
      // The payment is passed. Set the ID into the form
      $(tokenTag).attr('value', token.id);
      // Submit the form
      $('form button').click(); // because submit() changes the dj sessionid!!
    }
  });
  $(function() {
      $('form').on('submit', function(e) {
        debugger;
        if(!$(tokenTag).val()) {
            // Open Checkout with further options
            handler.open({
              name: "Purchasing {{ form.extra.quantity }} {{ form.extra.survey }}",
              description: "{{ form.extra.survey }}, {{ form.extra.quantity }} units.",
              amount: {{ form.extra.amount }},
              curreny: "{{ form.extra.currency.upper() }}",
              email: "{{ form.user.email }}"
            });
            e.preventDefault();
        }
      });

      // Close Checkout on page navigation
      $(window).on('popstate', function() {
        handler.close();
      });
  });
</script>
{% endblock %}

{% block content %}
{{ super() }}
<h1>{{ _("step1.title") }}</h1>
<form method="post" action="?step={{ step }}">
    {{ wizard.management_form|safe }}
    {% if form.errors %}
    <div class="form-errors">
        <h4>{{ _("form.errors", 'shop') }}</h4>
        {% if  form.errors.__all__ %}
        <ul class="form-errors">
            {% for error in form.errors.__all__ %}
            <li>{{ _(error) }}</li>
            {% endfor %}
        </ul>
        {% endif %}
    </div>
    {% endif %}

    {{ csrf() }}
    {% for hidden in form.hidden_fields() %}
        {{ hidden|safe }}
    {% endfor %}
    <ul>
        {% for field in form.visible_fields() %}
        <li class="{% if field.field.required %}required{% endif %}">
            <label for="{{ field.id_for_label }}">{{ _(field.label) }}</label>
            {{ field|safe }}
            {{ field.errors|safe }}
        </li>
        {% endfor %}
    </ul>
    <button class="step">{{ _("step1.submit") }}</button>
</form>
{% endblock %}
